aboutsummaryrefslogtreecommitdiff
path: root/audio
diff options
context:
space:
mode:
authorB. Watson <urchlay@slackware.uk>2024-09-25 20:00:27 -0400
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-09-28 06:54:29 +0700
commit159bf3349c473151f748e0316206f3e0493954eb (patch)
tree78f6b0788f994c73ace433cde97b8ab7d3bd306f /audio
parent7486cdeee742100b2fbc531e419752e799b8a1c7 (diff)
audio/samplv1: Updated for version 1.1.1.
Signed-off-by: B. Watson <urchlay@slackware.uk> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/samplv1/samplv1.SlackBuild22
-rw-r--r--audio/samplv1/samplv1.info6
2 files changed, 24 insertions, 4 deletions
diff --git a/audio/samplv1/samplv1.SlackBuild b/audio/samplv1/samplv1.SlackBuild
index 932485ea72cd..d476bc231ad6 100644
--- a/audio/samplv1/samplv1.SlackBuild
+++ b/audio/samplv1/samplv1.SlackBuild
@@ -6,6 +6,7 @@
# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+# 20240925 bkw: update for 1.1.1.
# 20240815 bkw: update for 1.0.0
# 20230629 bkw: update for 0.9.31
# 20230109 bkw: update for 0.9.28
@@ -26,7 +27,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=samplv1
-VERSION=${VERSION:-1.0.0}
+VERSION=${VERSION:-1.1.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -64,6 +65,20 @@ fi
set -e
+# 20240925 bkw: If jack is missing, the build doesn't fail right away.
+# Instead, it compiles for a while, then 'make install/strip' fails.
+# Better to abort immediately in that case.
+if ! pkg-config --exists jack; then
+ cat <<EOF
+
+*****************************************************************
+* Missing required dependency jack. Install it, then try again. *
+*****************************************************************
+
+EOF
+ exit 1
+fi
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -81,6 +96,10 @@ pkg-config --exists lv2 && LV2_OPT="ON"
export PATH=/usr/lib$LIBDIRSUFFIX/qt5/bin:$PATH
+# 20240925 bkw: Add -DCONFIG_QT6=0, to avoid it autodetecting and
+# using qt6 if installed. Not interested in dealing with it, and the
+# qt5 UI works fine.
+
mkdir -p build
cd build
cmake \
@@ -89,6 +108,7 @@ cd build
-DCMAKE_INSTALL_MANDIR=/usr/man \
-DCMAKE_INSTALL_PREFIX=/usr \
-DCONFIG_LV2=$LV2_OPT \
+ -DCONFIG_QT6=0 \
-DCMAKE_BUILD_TYPE=Release ..
make VERBOSE=1
make install/strip DESTDIR=$PKG
diff --git a/audio/samplv1/samplv1.info b/audio/samplv1/samplv1.info
index 50f29c68765e..4ba42ad77b85 100644
--- a/audio/samplv1/samplv1.info
+++ b/audio/samplv1/samplv1.info
@@ -1,8 +1,8 @@
PRGNAM="samplv1"
-VERSION="1.0.0"
+VERSION="1.1.1"
HOMEPAGE="https://samplv1.sourceforge.io/"
-DOWNLOAD="https://downloads.sourceforge.net/project/samplv1/samplv1/1.0.0/samplv1-1.0.0.tar.gz"
-MD5SUM="3eb19564b74d70e77df8e8eab97f6661"
+DOWNLOAD="https://downloads.sourceforge.net/project/samplv1/samplv1/1.1.1/samplv1-1.1.1.tar.gz"
+MD5SUM="58e3ad7e04151c75c0055ca03458b053"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="jack"